Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class StructMember

    java.lang.Object
      |
      +--org.omg.CORBA.StructMember

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class StructMember
extends java.lang.Object
implements IDLEntity

This structure describes a struct member.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `name` Struct member name
`TypeCode` | `type` Struct member type
`IDLType` | `type_def` Struct member type_def

Constructor Summary
`StructMember()` Default constructor
`StructMember(java.lang.String name, TypeCode type, IDLType type_def)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Struct member name

### type

    public TypeCode type

  Struct member type

### type_def

    public IDLType type_def

  Struct member type_def

Constructor Detail

### StructMember

    public StructMember()

  Default constructor

### StructMember

    public StructMember(java.lang.String name,
                        TypeCode type,
                        IDLType type_def)

  Constructor with fields initialization
  Parameters:
    `name` - name struct member
    `type` - type struct member
    `type_def` - type_def struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD